### Constructor

# Gtk PrintSettings new_from_key_file

#### Declaration [src]

    GtkPrintSettings*
    gtk_print_settings_new_from_key_file (
      GKeyFile* key_file,
      const char* group_name,
      GError** error
    )

#### Description [src]

Reads the print settings from the group `group_name` in `key_file`.

Returns a new `GtkPrintSettings` object with the restored settings, or `NULL` if an error occurred. If the file could not be loaded then error is set to either `GFileError` or `GKeyFileError`.

#### Parameters

`key_file` | `GKeyFile*`
| The `GKeyFile` to retrieve the settings from.
| The data is owned by the caller of the function.
`group_name` | `const char*`
| The name of the group to use, or `NULL` to use the default “Print Settings”.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GtkPrintSettings`
| The restored `GtkPrintSettings`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.